RepeatedTestTest
Keywords: junit.tests.extensions.RepeatedTestTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.extensions
Class RepeatedTestTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.extensions.RepeatedTestTest

All Implemented Interfaces:
  Test

    public class RepeatedTestTest

extends TestCase

Testing the RepeatedTest support.

Nested Class Summary
`static class` | `RepeatedTestTest.SuccessTest`

Constructor Summary
`RepeatedTestTest(java.lang.String name)`

Method Summary
`void` | `testRepeatedMoreThanOnce()`
`void` | `testRepeatedNegative()`
`void` | `testRepeatedOnce()`
`void` | `testRepeatedZero()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatedTestTest

    public RepeatedTestTest(java.lang.String name)

Method Detail

### testRepeatedOnce

    public void testRepeatedOnce()

### testRepeatedMoreThanOnce

    public void testRepeatedMoreThanOnce()

### testRepeatedZero

    public void testRepeatedZero()

### testRepeatedNegative

    public void testRepeatedNegative()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD